# PSF-LoginServer - master - net.psforever.objects.teamwork.Member
PSF - LoginServer - master - net.psforever.objects.teamwork.Member
Keywords: PSF LoginServer master net.psforever.objects.teamwork.Member

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    objects
- Member
- Squad
- SquadFeatures

c

net.psforever.objects.teamwork

# Member

###

#### class Member extends AnyRef

Source
  Member.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Member
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Member()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Armor: Int
5.  def Armor_=(blue: Int): Int
6.  def CharId: Long
7.  def CharId_=(id: Long): Long
8.  def Health: Int
9.  def Health_=(red: Int): Int
10.  def Name: String
11.  def Name_=(moniker: String): String
12.  def Orders: String
13.  def Orders_=(text: String): String
14.  def Position: Vector3
15.  def Position_=(pos: Vector3): Vector3
16.  def Requirements: Set[Certification]
17.  def Requirements_=(req: Set[Certification]): Set[Certification]
18.  def Role: String
19.  def Role_=(title: String): String
20.  def ZoneId: Int
21.  def ZoneId_=(id: Int): Int
22.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
23.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
24.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
26.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
27.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def isAvailable(certs: Set[Certification]): Boolean
30.  def isAvailable: Boolean
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped